@charset "UTF-8";
html, body {
  overflow-x: hidden !important; /* La propriété overflow-x permet de définir les mécanismes à utiliser (rognage, ascenseurs, dépassement, etc.) lorsque le contenu dépasse des bords droit et gauche de la boîte de contenu. La règle CSS !important permet de spécifier que la propriété est la plus importante dans votre feuille CSS en lui donnant un poids plus important.*/}

.container {
  padding: 16px; }

.with-header {
  margin-top: 60px;
  -webkit-transition: margin 0.35s;
  -moz-transition: margin 0.35s;
  -ms-transition: margin 0.35s;
  -o-transition: margin 0.35s;
  z-index: -1; /* z-index permet de préciser l'empilement de certains éléments d'une page, c'est-à-dire sur l'axe vertical.*/ }

.header-top {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  top: 0;
  left: 0;
  right: 0;
  position: fixed; /* permet le z-index, position définit la façon dont un élément est positionné dans un document*/
  background-color: #333;
  box-sizing: inherit; /*box-sizing est utilisée pour modifier le modèle de boîte CSS par défaut qui est utilisé pour calculer la largeur et la hauteur des éléments.*/
  height: 60px;
  width: 100%;
  text-align: center;
  z-index: 14; /* z-index permet de préciser l'empilement de certains éléments d'une page, c'est-à-dire sur l'axe vertical.*/ }
  .header-top .header-controle {
    color: #fff;
    font-size: 36px;
    line-height: 60px; /* line-height indique la hauteur minimale des lignes au sein de l'élément */
    position: absolute; /*position définit la façon dont un élément est positionné dans un document*/
    cursor: pointer; }
    .header-top .header-controle.small-right {
      right: 16px; }
    .header-top .header-controle.small-left {
      left: 16px; }
  .header-top .header-logo {
    text-decoration: none; /* retire toute decoration assigne par defaut */
    color: #fff;
    font-size: 36px;
    line-height: 60px; }
    .header-top .header-logo img {
      max-height: 60px; }
    .header-top .header-logo.small-right, .header-top .header-logo.small-left, .header-top .header-logo.small-center, .header-top .header-logo.small-hidden {
      position: absolute; /*position définit la façon dont un élément est positionné dans un document*/ }
    .header-top .header-logo.small-right {
      margin-right: 16px;
      right: 0; }
    .header-top .header-logo.small-left {
      margin-left: 16px;
      left: 0; }
    .header-top .header-logo.small-center {
      position: relative; /*position définit la façon dont un élément est positionné dans un document*/ }
    .header-top .header-logo.small-hidden {
      display: none; /*display définit le type de boîte utilisée pour le rendu d'un élément.*/ }

.header-menu {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  position: fixed; /*position définit la façon dont un élément est positionné dans un document*/
  height: 100%;
  width: 240px;
  background-color: #333;
  z-index: 13; /* z-index permet de préciser l'empilement de certains éléments d'une page, c'est-à-dire sur l'axe vertical.*/
  /* Evite la séléction du texte au double clic */
  -webkit-user-select: none;
  -moz-user-select: none;
  -khtml-user-select: none;
  -ms-user-select: none; }
  .header-menu a {
    display: block; /*display définit le type de boîte utilisée pour le rendu d'un élément.*/
    text-decoration: none;
    text-transform: uppercase;
    font-size: 18px;
    border-bottom: 1px solid #233140;
    color: #fff;
    line-height: 60px; }
    .header-menu a:first-child {
      border-top: 1px solid #233140; }
    .header-menu a.active {
      background-color: #de2c2c; }
    .header-menu a:hover {
      background-color: #444444; }
  .header-menu.small-left {
    text-align: left;
    left: -240px;
    -webkit-transition: left 0.35s;
    -moz-transition: left 0.35s;
    -ms-transition: left 0.35s;
    -o-transition: left 0.35s; }
  .header-menu.small-right {
    text-align: right;
    right: -240px;
    -webkit-transition: right 0.35s;
    -moz-transition: right 0.35s;
    -ms-transition: right 0.35s;
    -o-transition: right 0.35s; }

input[type="checkbox"]#open-header { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
  position: fixed; /*position définit la façon dont un élément est positionné dans un document*/
  display: none; /*display définit le type de boîte utilisée pour le rendu d'un élément.*/
  top: 0;
  z-index: 60; /* z-index permet de préciser l'empilement de certains éléments d'une page, c'est-à-dire sur l'axe vertical.*/ }
  input[type="checkbox"]#open-header:checked ~ .header-overlay { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    position: fixed; /*position définit la façon dont un élément est positionné dans un document*/
    right: 0;
    top: 0;
    bottom: 0;
    left: 0;
    display: block; /*display définit le type de boîte utilisée pour le rendu d'un élément.*/
    z-index: 10; /* z-index permet de préciser l'empilement de certains éléments d'une page, c'est-à-dire sur l'axe vertical.*/
    background: rgba(0, 0, 0, 0.6);
    cursor: pointer;
    overflow: hidden;
    -webkit-user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -ms-user-select: none; }
  input[type="checkbox"]#open-header:checked ~ .header-menu { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    position: fixed; /*position définit la façon dont un élément est positionné dans un document*/
    overflow-y: auto; }
    input[type="checkbox"]#open-header:checked ~ .header-menu a:first-child { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      padding-top: 60px; }
    input[type="checkbox"]#open-header:checked ~ .header-menu.small-right { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      right: 0;
      text-align: right;
      -webkit-transition: right 0.35s;
      -moz-transition: right 0.35s;
      -ms-transition: right 0.35s;
      -o-transition: right 0.35s; }
      input[type="checkbox"]#open-header:checked ~ .header-menu.small-right a { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
        padding-right: 16px; }
      input[type="checkbox"]#open-header:checked ~ .header-menu.small-right ~ .with-header { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
        margin-left: -240px;
        margin-right: 240px; }
    input[type="checkbox"]#open-header:checked ~ .header-menu.small-left { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      left: 0;
      text-align: left;
      -webkit-transition: left 0.35s;
      -moz-transition: left 0.35s;
      -ms-transition: left 0.35s;
      -o-transition: left 0.35s; }
      input[type="checkbox"]#open-header:checked ~ .header-menu.small-left a { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
        padding-left: 16px; }
      input[type="checkbox"]#open-header:checked ~ .header-menu.small-left ~ .with-header { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
        margin-left: 240px;
        margin-right: -240px; }

/* responsive */
@media only screen and (min-width: 767px) {
  input[type="checkbox"]#open-header ~ .header-overlay, input[type="checkbox"]#open-header:checked ~ .header-overlay { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    display: none; /*display définit le type de boîte utilisée pour le rendu d'un élément.*/ }
  input[type="checkbox"]#open-header ~ .header-top .header-controle, input[type="checkbox"]#open-header:checked ~ .header-top .header-controle { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    display: none; /*display définit le type de boîte utilisée pour le rendu d'un élément.*/ }
  input[type="checkbox"]#open-header ~ .header-top .header-logo.small-right, input[type="checkbox"]#open-header ~ .header-top .header-logo.small-left, input[type="checkbox"]#open-header ~ .header-top .header-logo.small-center, input[type="checkbox"]#open-header ~ .header-top .header-logo.small-hidden, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.small-right, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.small-left, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.small-center, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.small-hidden { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    position: relative; /*position définit la façon dont un élément est positionné dans un document*/ }
  input[type="checkbox"]#open-header ~ .header-top .header-logo.big-right, input[type="checkbox"]#open-header ~ .header-top .header-logo.big-left, input[type="checkbox"]#open-header ~ .header-top .header-logo.big-center, input[type="checkbox"]#open-header ~ .header-top .header-logo.big-hidden, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.big-right, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.big-left, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.big-center, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.big-hidden { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    position: absolute; /*position définit la façon dont un élément est positionné dans un document*/
    margin: 0px 16px; }
  input[type="checkbox"]#open-header ~ .header-top .header-logo.big-right, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.big-right { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    right: 0; }
  input[type="checkbox"]#open-header ~ .header-top .header-logo.big-left, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.big-left { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    left: 0; }
  input[type="checkbox"]#open-header ~ .header-top .header-logo.big-center, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.big-center { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    position: relative; /*position définit la façon dont un élément est positionné dans un document*/
    text-align: center;
    margin: 0px; }
  input[type="checkbox"]#open-header ~ .header-top .header-logo.big-hidden, input[type="checkbox"]#open-header:checked ~ .header-top .header-logo.big-hidden { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    display: none; }
  input[type="checkbox"]#open-header ~ .header-menu, input[type="checkbox"]#open-header:checked ~ .header-menu { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
    background: none;
    position: fixed; /*position définit la façon dont un élément est positionné dans un document*/
    top: auto;
    right: auto;
    width: auto; }
    input[type="checkbox"]#open-header ~ .header-menu a, input[type="checkbox"]#open-header:checked ~ .header-menu a { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      border: none;
      display: inline; /*display définit le type de boîte utilisée pour le rendu d'un élément.*/ }
    input[type="checkbox"]#open-header ~ .header-menu.small-right, input[type="checkbox"]#open-header ~ .header-menu.small-left, input[type="checkbox"]#open-header:checked ~ .header-menu.small-right, input[type="checkbox"]#open-header:checked ~ .header-menu.small-left { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      background: none;
      position: fixed; /*position définit la façon dont un élément est positionné dans un document*/
      top: auto;
      right: 0; }
      input[type="checkbox"]#open-header ~ .header-menu.small-right a, input[type="checkbox"]#open-header ~ .header-menu.small-left a, input[type="checkbox"]#open-header:checked ~ .header-menu.small-right a, input[type="checkbox"]#open-header:checked ~ .header-menu.small-left a { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
        border: none;
        display: inline; /*display définit le type de boîte utilisée pour le rendu d'un élément.*/
        padding: 0px; }
      input[type="checkbox"]#open-header ~ .header-menu.small-right ~ .with-header, input[type="checkbox"]#open-header ~ .header-menu.small-left ~ .with-header, input[type="checkbox"]#open-header:checked ~ .header-menu.small-right ~ .with-header, input[type="checkbox"]#open-header:checked ~ .header-menu.small-left ~ .with-header { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
        margin-left: auto;
        margin-right: auto; }
    input[type="checkbox"]#open-header ~ .header-menu.small-left, input[type="checkbox"]#open-header:checked ~ .header-menu.small-left { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      left: auto; }
    input[type="checkbox"]#open-header ~ .header-menu.small-right, input[type="checkbox"]#open-header:checked ~ .header-menu.small-right { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      right: auto; }
    input[type="checkbox"]#open-header ~ .header-menu.big-right, input[type="checkbox"]#open-header ~ .header-menu.big-left, input[type="checkbox"]#open-header ~ .header-menu .big-hidden, input[type="checkbox"]#open-header:checked ~ .header-menu.big-right, input[type="checkbox"]#open-header:checked ~ .header-menu.big-left, input[type="checkbox"]#open-header:checked ~ .header-menu .big-hidden { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      letter-spacing: -0.25em;
      z-index: 15; /* z-index permet de préciser l'empilement de certains éléments d'une page, c'est-à-dire sur l'axe vertical.*/
      height: 60px; }
      input[type="checkbox"]#open-header ~ .header-menu.big-right a, input[type="checkbox"]#open-header ~ .header-menu.big-left a, input[type="checkbox"]#open-header ~ .header-menu .big-hidden a, input[type="checkbox"]#open-header:checked ~ .header-menu.big-right a, input[type="checkbox"]#open-header:checked ~ .header-menu.big-left a, input[type="checkbox"]#open-header:checked ~ .header-menu .big-hidden a { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
        display: inline-block; /*display définit le type de boîte utilisée pour le rendu d'un élément.*/
        height: 60px;
        padding: 0px 16px;
        letter-spacing: normal; }
    input[type="checkbox"]#open-header ~ .header-menu.big-right, input[type="checkbox"]#open-header:checked ~ .header-menu.big-right { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      right: 0; }
      input[type="checkbox"]#open-header ~ .header-menu.big-right a, input[type="checkbox"]#open-header:checked ~ .header-menu.big-right a { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
        border-left: 1px solid #233140; }
        input[type="checkbox"]#open-header ~ .header-menu.big-right a:last-child, input[type="checkbox"]#open-header:checked ~ .header-menu.big-right a:last-child { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
          border: none; }
    input[type="checkbox"]#open-header ~ .header-menu.big-left, input[type="checkbox"]#open-header:checked ~ .header-menu.big-left { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      left: 0; }
      input[type="checkbox"]#open-header ~ .header-menu.big-left a, input[type="checkbox"]#open-header:checked ~ .header-menu.big-left a { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
        border-right: 1px solid #233140; }
        input[type="checkbox"]#open-header ~ .header-menu.big-left a:first-child, input[type="checkbox"]#open-header:checked ~ .header-menu.big-left a:first-child { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
          border: none; }
    input[type="checkbox"]#open-header ~ .header-menu.big-hidden, input[type="checkbox"]#open-header:checked ~ .header-menu.big-hidden { /*Le sélecteur [attribute = "value"] est utilisé pour sélectionner des éléments avec un attribut et une valeur spécifiés. ~ permet d'appliquer des styles d’un seul coup à tous les frères d’un élément ciblé répondant à un sélecteur précis.*/
      display: none; /*display définit le type de boîte utilisée pour le rendu d'un élément.*/ } }

/*# sourceMappingURL=header-menu.css.map */
